import { JSXElement, Show, useContext } from "solid-js";

import { LoginContext, ModalContext } from "../Context/GlobalState";
import { UserCircle } from "../Util/Icons";

export function LoginButton(): JSXElement {
  const modal_ctx = useContext(ModalContext)!;
  const login_ctx = useContext(LoginContext)!;

  const clickHandler = (): void => {
    if (login_ctx.loggedIn()) login_ctx.logOut();
    else modal_ctx.setOpen(true);
  };

  return (
    <div class="btn btn-ghost text-sm capitalize" onClick={clickHandler}>
      <Show when={login_ctx.loggedIn()} fallback="Login">
        {login_ctx.username()}
      </Show>
      <UserCircle />
    </div>
  );
}
