import { JSXElement } from "solid-js";

import { GlobalStateProvider } from "../Context/GlobalState";
import { Footer } from "./Footer";
import { LoginModal } from "./LoginModal";
import { Navbar } from "./Navbar";
import { PageContainer } from "./PageContainer";
import { Primary } from "./Primary";
import { PrimaryContainer } from "./PrimaryContainer";

function Root(): JSXElement {
  return (
    <>
      <GlobalStateProvider>
        <FancyBackground />
        <PageContainer>
          <Navbar />
          <LoginModal />
          <PrimaryContainer>
            <Primary />
          </PrimaryContainer>
          <Footer />
        </PageContainer>
      </GlobalStateProvider>
    </>
  );
}

function FancyBackground(): JSXElement {
  return (
    <div class="bg-container">
      <div class="bg-fancy bg-cover bg-center" />
    </div>
  );
}

export default Root;
